Microsimulation API

Public Member Functions | Public Attributes | List of all members
ssim::pqueueElementComparator Struct Reference

## Public Member Functions
| pqueueElementComparator (bool smaller=true)
bool | operator() (pqueueElement const &msg1, pqueueElement const &msg2) const

## Public Attributes
bool | smaller

## Detailed Description

Definition at line 16 of file pqueue.cpp.

## Constructor & Destructor Documentation

## ◆ pqueueElementComparator()

ssim::pqueueElementComparator::pqueueElementComparator | ( | bool | smaller = `true` | ) |
| inline

Definition at line 18 of file pqueue.cpp.

## Member Function Documentation

## ◆ operator()()

bool ssim::pqueueElementComparator::operator() | ( | pqueueElement const & | msg1,
|  | pqueueElement const & | msg2
| ) |  | const
| inline

Definition at line 19 of file pqueue.cpp.

## Member Data Documentation

## ◆ smaller

bool ssim::pqueueElementComparator::smaller

Definition at line 17 of file pqueue.cpp.

The documentation for this struct was generated from the following file:

- /home/marcle/src/R/microsimulation/src/pqueue.cpp